#
# spec file for package pidgin-birthday-reminder
#
# Copyright (c) 2011, Christoph Miebach <christoph.miebach@web.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.



Name:           pidgin-advanced-sound-notification
Version:        1.2.1
Release:        13.2
License:        GPL-2.0+
Summary:        Pidgin plugin adding sound notifications
Url:            https://launchpad.net/pidgin-advanced-sound-notification
Group:          Productivity/Networking/Instant Messenger
Source:         http://launchpad.net/pidgin-advanced-sound-notification/trunk/1.2.1/+download/pidgin-advanced-sound-notification-1.2.1.tar.gz
BuildRequires:  intltool
BuildRequires:  pkgconfig(pidgin) >= 2.5.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This plugin adds sounds for some sound notifications to pidgin (e.g.
"Incoming Filetransfer" or "Authentication requested").

%package -n pidgin-plugin-advanced-sound-notification
License:        GPL-2.0+
Summary:        Pidgin plugin adding sound notifications
Group:          Productivity/Networking/Instant Messenger
Requires:       pidgin
Recommends:     %{name}-lang
# Nice to have since it's not the upstream name, but also required to make lang package installable
Provides:       %{name} = %{version}

%description -n pidgin-plugin-advanced-sound-notification
This plugin adds sounds for some sound notifications to pidgin (e.g.
"Incoming Filetransfer" or "Authentication requested").

%lang_package
%prep
%setup -q

%build
%configure --with-pic --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name}

%files -n pidgin-plugin-advanced-sound-notification
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING
%dir %{_datadir}/sounds/pidgin/
%{_datadir}/sounds/pidgin/pidgin-advanced-sound-notification/
%{_libdir}/pidgin/pidgin-advanced-sound-notification.so

%files lang -f %{name}.lang

%changelog
* Thu Jan 12 2012 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX
* Tue Sep 27 2011 vuntz@opensuse.org
- Cleanup for inclusion in Factory.
* Fri Sep  2 2011 christoph.miebach@web.de
- New package (version 1.2.1).
